Bug 513824 - mingw glib rejected when Wine is installed
Summary: mingw glib rejected when Wine is installed
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-glib2
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 513819 513825
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-26 11:29 UTC by Paolo Bonzini
Modified: 2010-06-08 13:36 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-08 13:20:02 UTC


Attachments (Terms of Use)

Description Paolo Bonzini 2009-07-26 11:29:03 UTC
Description of problem:
The glib configure macros will not detect glib correctly.  Part of the problem is that the \mingw paths are not available inside Wine.

The part this bug is concerned about, is that the glib macros require a working touch binary.

This can be as simple as:

#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>
#include <errno.h>
#include <utime.h>

int main(int argc, char **argv)
{
  int i;
  struct utimbuf u;
  u.actime = time (NULL);
  u.modtime = time (NULL);

  for (i = 1; i < argc; i++)
    {
      int fd = open (argv[i], O_WRONLY | O_EXCL | O_CREAT, 0600);
      if (fd == -1)
        {
          if ((errno == EACCES || errno == EISDIR)
              && utime (argv[i], &u) == -1)
            perror ("touch");
        }
      else
        close (fd);
    }
}

and (if bug 513819 is fixed, which is a prerequisite anyway) it should be placed in c:\windows so that a more complete mingw installation including GNU touch would override it.

Comment 1 Richard W.M. Jones 2009-07-27 08:51:06 UTC
(In reply to comment #0)
> The part this bug is concerned about, is that the glib macros require a working
> touch binary.

The glib macros should use the native /usr/bin/touch.

Comment 2 Bug Zapper 2010-04-28 09:20:57 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Richard W.M. Jones 2010-06-08 13:20:02 UTC
Closing because this bug was filed against F11.  If it still
happens in Rawhide, please reopen.

Comment 4 Paolo Bonzini 2010-06-08 13:36:17 UTC
It was fixed upstream, that's fair enough.


Note You need to log in before you can comment on or make changes to this bug.